datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping250kstyhsrefseq <- function() showQCData("mapping250kstyhsrefseq", datacache)
mapping250kstyhsrefseq_dbconn <- function() dbconn(datacache)
mapping250kstyhsrefseq_dbfile <- function() dbfile(datacache)
mapping250kstyhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping250kstyhsrefseq_dbInfo <- function() dbInfo(datacache)

mapping250kstyhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping250kstyhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping250kstyhsrefseq", "chip mapping250kstyhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mapping250kstyhsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping250kstyhsrefseq_dbconn())
}

